import * as React from 'react'; // eslint-disable-next-line import/no-extraneous-dependencies

import * as ReactIcons from '@fluentui/react-icons';
import { Input } from '@fluentui/react-input';
import { __styles, shorthands } from '@griffel/react';

const useStyles = /*#__PURE__*/__styles({
  "grid": {
    "mc9l5x": "f22iagw",
    "Eh141a": "fni485r",
    "Brf1p80": "fbhxue7",
    "tbg6ku": "f1te8bq8",
    "iezhb2": "f1ekvqd1",
    "Bejz04s": "ft9xqq4",
    "Brafdv5": "f1qo9o5r",
    "Bvo9a10": "f13u1f6e",
    "gqbnx1": "fw20ijn",
    "Jqrz2v": "f1pm9t65",
    "Bx6r4qm": ["fof7vr4", "f1fg1dd8"],
    "B70yl5k": "fe5j5s8",
    "Bgac7oy": ["f1fg1dd8", "fof7vr4"],
    "Bndz7f7": "fje6enq",
    "Bd3lead": "frugz3z",
    "Bh7qfgy": "f16hhesz",
    "Bhcprac": "f1d9k0pr",
    "B9qxanq": "fqdk8yc",
    "mfpuu8": "f1nkkbgj",
    "Bxj1sw5": "f1hid01w",
    "oyycmu": "faqp3b6"
  },
  "searchBox": {
    "B2u0y6b": "f1ogbl2p",
    "jrapky": "f1dl2k97"
  },
  "radio": {
    "Be2twd7": "fnsq08h"
  }
}, {
  "d": [".f22iagw{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;}", ".fni485r{-webkit-box-flex-wrap:wrap;-webkit-flex-wrap:wrap;-ms-flex-wrap:wrap;flex-wrap:wrap;}", ".fbhxue7{-webkit-box-pack:start;-ms-flex-pack:start;-webkit-justify-content:flex-start;justify-content:flex-start;}", ".f1te8bq8>span{-webkit-align-items:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;}", ".f1ekvqd1>span{color:#3b3a39;}", ".ft9xqq4>span{display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;}", ".f1qo9o5r>span{-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column;}", ".f13u1f6e>span{height:80px;}", ".fw20ijn>span{-webkit-box-pack:space-around;-ms-flex-pack:space-around;-webkit-justify-content:space-around;justify-content:space-around;}", ".f1pm9t65>span{padding-top:0;}", ".fof7vr4>span{padding-right:0;}", ".f1fg1dd8>span{padding-left:0;}", ".fe5j5s8>span{padding-bottom:0;}", ".fje6enq>span{width:80px;}", ".frugz3z>span{overflow-x:hidden;}", ".f16hhesz>span{overflow-y:hidden;}", ".f1d9k0pr>span>div{font-size:11px;}", ".fqdk8yc>span>div{opacity:0;}", ".f1nkkbgj>span:hover{overflow-x:visible;}", ".f1hid01w>span:hover{overflow-y:visible;}", ".faqp3b6>span:hover div{opacity:1;}", ".f1ogbl2p{max-width:320px;}", ".f1dl2k97{margin-bottom:10px;}", ".fnsq08h{font-size:11px;}"]
});

const reactIcons = /*#__PURE__*/Object.keys(ReactIcons) // eslint-disable-next-line @typescript-eslint/no-explicit-any
.map(iconName => ReactIcons[iconName]).filter(icon => !!icon && !!icon.displayName);

const ReactIconGrid = () => {
  const [search, setSearch] = React.useState('');
  const [size, setSize] = React.useState(24);
  const styles = useStyles();

  const _onSearchQueryChanged = ev => {
    setSearch(ev ? ev.currentTarget.value : '');
  };

  const _filterBySize = ev => {
    const newSize = ev ? ev.currentTarget.value : '';
    newSize === 'All' ? setSize('') : setSize(newSize);
  };

  const _renderIcon = Icon => {
    return /*#__PURE__*/React.createElement("span", {
      key: Icon.displayName,
      "aria-label": Icon.displayName
    }, /*#__PURE__*/React.createElement(Icon, null), /*#__PURE__*/React.createElement("div", null, Icon.displayName));
  };

  const filteredIcons = React.useMemo(() => reactIcons.filter(icon => {
    var _a, _b;

    return ((_a = icon.displayName) === null || _a === void 0 ? void 0 : _a.toLowerCase().indexOf(search.toLowerCase())) !== -1 && ((_b = icon.displayName) === null || _b === void 0 ? void 0 : _b.indexOf(String(size))) !== -1;
  }), [search, size]);
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Input, {
    type: "search",
    placeholder: "Search icons",
    value: search,
    "aria-label": "search",
    // eslint-disable-next-line react/jsx-no-bind
    onChange: _onSearchQueryChanged,
    className: styles.searchBox
  }), [16, 20, 24, 28, 32, 48, 'All'].map(option => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement("input", {
    id: `option-${option}`,
    defaultChecked: option === 24,
    type: "radio",
    value: option,
    name: "size",
    onChange: _filterBySize
  }), /*#__PURE__*/React.createElement("label", {
    htmlFor: `option-${option}`,
    className: styles.radio
  }, option))), /*#__PURE__*/React.createElement("div", {
    className: styles.grid
  }, filteredIcons.map(_renderIcon)));
};

export default ReactIconGrid;
//# sourceMappingURL=ReactIconGrid.js.map